package net.udby.test.db.lock;


public class ConnTest {
    /**
     * @param args
     */
    public static void main(String[] args) {
        try {
            ExcelReportGenerator report = new ExcelReportGenerator();

            report.createSheet("System.properties");
            report.showProperties(System.getProperties());
            
            for (String dbtype : TestDriver.dbtypes) {
                TestDriver td = new TestDriver(dbtype, report);
                td.run();
            }

            report.writeToFile("dbtest.xls");
        } catch (Exception e) {
            e.printStackTrace();
            FirstFailure.getInstance().failure(ConnTest.class, e);
        } finally {
            ConnectionSpec.cleanup();
        }
        if (FirstFailure.failed()) {
            System.out.println(FirstFailure.getInstance().toString());
        }
    }
}
